import PropTypes from 'prop-types';
import { Component } from 'react';
import { CommonThemeProps } from '../types';
import { SearchProps as NextSearchProps } from '@alifd/next/types/search';
interface SearchProps extends Omit<NextSearchProps, 'size' | 'type'>, CommonThemeProps {
    size?: 'large' | 'medium' | 'small' | 'xs';
    type?: 'normal' | 'primary' | 'secondary' | 'dark' | 'brand';
}
interface ISearchState {
    focus?: boolean;
}
declare class Search extends Component<SearchProps, ISearchState> {
    constructor(props: any);
    onFocus: (e: any) => void;
    onBlur: (e: any) => void;
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare const _default: typeof Search;
export default _default;
